Subject: Re: [PATCH] WDT Driver for Book-E [1/2] Architecture specific part.

From: Takeharu KATO <[email-masked]>
Date: Wed, 09 Mar 2005 02:08:38 +0900

Hi Kumar:

Kumar Gala wrote:
> Out of interest how did you test this?  If I find some time I will test  
> it on an e500 system, just havent given much thought on how to test the  
> watchdog though.
> 
> - kumar
> 
I tested the WDT driver with folowing test programs:

1) API test program which tests ioctl commands.
2) Test program which tests the behavior of the driver when
    system hung up due to making interrupt disabled(MSR[EE]=0 case).
    This test program is made as a kernel module.

Shall I send these programs off-list?

Regards,
-- 
Takeharu KATO